
function UniqueURL( baseUrl ) {
  this.fetchCounter = 0;
  this.baseUrl = baseUrl;
}

UniqueURL.prototype.get = function() {
  var d = new Date();
  this.fetchCounter = this.fetchCounter + 1;
  return( this.baseUrl + d.getTime() + "" + this.fetchCounter );
}

function Map( mapObject, viewPriority ) {
  this.mapObject = mapObject;
  this.viewPriority = viewPriority;
}

function MapManager( baseUrl, dynapi ) {
  this.baseUrl = baseUrl;
  this.dynapiFunctions = dynapi.functions;
  this.dynapiDocument = dynapi.document;
  this.mapList = new Array();
  this.viewList = new Array();
}

MapManager.prototype.addMap = function( mapFileName, viewPriority ) {
  var map = this.mapList[ this.mapList.length ] = new Map( this.dynapiFunctions.getImage( this.baseUrl + mapFileName ), viewPriority );
  var dynImage = map.mapObject;
  var view = this.viewList[ this.viewList.length ] = this.dynapiDocument.addChild(new DynLayer(mapManager.getHTML(viewPriority),0,0,dynImage.width,dynImage.height));
  view.setZIndex( viewPriority );
  view.setVisible( false );
  view.fadeState = 1;
}


MapManager.prototype.getHTML = function( mapViewPriority ) {
  for ( var i = 0; i < this.mapList.length; i++ ) {
    m = this.mapList[i];
    if ( m.viewPriority == mapViewPriority ) {
      return( m.mapObject.getHTML() );
    }
  }
  return( "MapManager::getHTML failed" );
}
