
function UniqueURL( baseUrl ) {
  this.fetchCounter = 0;
  this.baseUrl = baseUrl;
}

UniqueURL.prototype.get = function() {
  var d = new Date();
  this.fetchCounter = this.fetchCounter + 1;
  return( this.baseUrl + d.getTime() + "" + this.fetchCounter );
}

function Map( mapImage, viewPriority ) {
  this.mapImage = mapImage;
  this.viewPriority = viewPriority;
}

Map.prototype.setView = function( mapView ) {
  this.mapView = mapView;
  mapView.setZIndex( this.viewPriority );
  mapView.setVisible( false );
  mapView.fadeState = 1;
}

function MapManager( baseUrl, dynapi ) {
  this.baseUrl = baseUrl;
  this.dynapiFunctions = dynapi.functions;
  this.dynapiDocument = dynapi.document;
  this.mapList = new Array();
}

MapManager.prototype.numberMaps = function() {
  return( this.mapList.length );
}

MapManager.prototype.addMap = function( mapFileName, viewPriority ) {
  var dynImage = this.dynapiFunctions.getImage( this.baseUrl + mapFileName );
  var map = this.mapList[ this.mapList.length ] = new Map( dynImage, viewPriority );
  return map;
}


MapManager.prototype.getView = function( mapViewPriority ) {
  for ( var i = 0; i < this.mapList.length; i++ ) {
    m = this.mapList[i];
    if ( m.viewPriority == mapViewPriority ) {
      return( m.mapView );
    }
  }
  return 0;
}
